import java.net.*;

/* 
 * program to send 100 packets (current time) to some
 * server, and then quit.
 */
public class MyUDPClient {
    public static void main(String[] args) throws Exception {
        // human readable string that we send.
        String ourStrData = "TIME IS: "+System.currentTimeMillis();
        // data bytes to send.
        byte[] ourOutData = ourStrData.getBytes();
        // get IP address
        //  .. actually constructs a UDP packet, 
        //  .. and sends it to a DNS server
        //  .. which responds with the IP address
        //  .. for that host.
        InetAddress ip = InetAddress.getByName("localhost");
        int port = 12345;   // port where we're sending.
        // create a package.
        DatagramPacket p = new DatagramPacket(ourOutData, ourOutData.length,ip,port);

        // create a socket to send data.
        DatagramSocket s = new DatagramSocket();
        // send the packet.
        s.send(p);

    }
}


