import java.net.*;

public class MyUDPLoopServer {

    public static void main(String[] args) throws Exception {
        // create a server socket (on port, etc.)
        DatagramSocket s = new DatagramSocket(12345);
        
        // data buffer for our packet.
        byte[] arr = new byte[2000];
        // create a packet to write recieved data into.
        DatagramPacket p = new DatagramPacket(arr,arr.length);
        for(int pktcnt=0;;pktcnt++){
            // wait (on socket) for the next packet.
            s.receive(p);

            String pstr = new String(p.getData(),p.getOffset(),p.getLength());
            System.out.println("p.getAddress: "+p.getAddress());
            System.out.println("p.getPort(): "+p.getPort());
            System.out.println("recieved("+pktcnt+"): "+pstr);
        }
    }
}
